Update File

Updates the name of the uploaded file identified by its ID.

Authentication

AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the file.

Request

This endpoint expects an object.
namestringOptional1-40 characters
This is the name of the file. This is just for your own reference.

Response

idstring
This is the unique identifier for the file.
orgIdstring
This is the unique identifier for the org that this file belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the file was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the file was last updated.

objectenumOptional

The object type. This is always file.

statusenumOptional
The current processing status of the uploaded file.
namestringOptional<=40 characters
This is the name of the file. This is just for your own reference.
originalNamestringOptional
The original name of the uploaded file.
bytesdoubleOptional
The size of the uploaded file in bytes.
purposestringOptional
The intended use assigned to the uploaded file.
mimetypestringOptional
The MIME type of the uploaded file.
keystringOptional

The object-storage key for the uploaded file.

pathstringOptional

The object-storage path for the uploaded file.

bucketstringOptional

The object-storage bucket containing the uploaded file.

urlstringOptional
The URL used to access the uploaded file.
parsedTextUrlstringOptional
The URL used to access text extracted from the file.
parsedTextBytesdoubleOptional
The size of the extracted text in bytes.
metadataobjectOptional
Additional metadata associated with the uploaded file.